
package com.americamovil.dda._1.f.enviaactivofijo;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.americamovil.dda._1.f.enviaactivofijo package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _MTActivoFijoRes_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaActivoFijo", "MT_ActivoFijo_res");
    private final static QName _MTActivoFijo_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaActivoFijo", "MT_ActivoFijo");
    private final static QName _MTTituloMismoValor_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaActivoFijo", "MT_TituloMismoValor");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.americamovil.dda._1.f.enviaactivofijo
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DTActivoFijo }
     * 
     */
    public DTActivoFijo createDTActivoFijo() {
        return new DTActivoFijo();
    }

    /**
     * Create an instance of {@link DTActivoFijoRes }
     * 
     */
    public DTActivoFijoRes createDTActivoFijoRes() {
        return new DTActivoFijoRes();
    }

    /**
     * Create an instance of {@link DTTituloMismoValor }
     * 
     */
    public DTTituloMismoValor createDTTituloMismoValor() {
        return new DTTituloMismoValor();
    }

    /**
     * Create an instance of {@link DTActivoFijo.Registro }
     * 
     */
    public DTActivoFijo.Registro createDTActivoFijoRegistro() {
        return new DTActivoFijo.Registro();
    }

    /**
     * Create an instance of {@link DTActivoFijoRes.Respuesta }
     * 
     */
    public DTActivoFijoRes.Respuesta createDTActivoFijoResRespuesta() {
        return new DTActivoFijoRes.Respuesta();
    }

    /**
     * Create an instance of {@link DTTituloMismoValor.Registro }
     * 
     */
    public DTTituloMismoValor.Registro createDTTituloMismoValorRegistro() {
        return new DTTituloMismoValor.Registro();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTActivoFijoRes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaActivoFijo", name = "MT_ActivoFijo_res")
    public JAXBElement<DTActivoFijoRes> createMTActivoFijoRes(DTActivoFijoRes value) {
        return new JAXBElement<DTActivoFijoRes>(_MTActivoFijoRes_QNAME, DTActivoFijoRes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTActivoFijo }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaActivoFijo", name = "MT_ActivoFijo")
    public JAXBElement<DTActivoFijo> createMTActivoFijo(DTActivoFijo value) {
        return new JAXBElement<DTActivoFijo>(_MTActivoFijo_QNAME, DTActivoFijo.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTTituloMismoValor }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaActivoFijo", name = "MT_TituloMismoValor")
    public JAXBElement<DTTituloMismoValor> createMTTituloMismoValor(DTTituloMismoValor value) {
        return new JAXBElement<DTTituloMismoValor>(_MTTituloMismoValor_QNAME, DTTituloMismoValor.class, null, value);
    }

}
